##### 7.5.3.0. variablesStandard

Procedure from library `central.lib` (see central_lib).

Usage:
  variablesStandard();

Return:
  ideal, generated by algebra variables

Purpose:
  computes the set of algebra variables taken in their natural order

Example:

    LIB "central.lib";
    ring AA = 0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z;  D[1,3]=2*x;  D[2,3]=-2*y;
    def A = nc_algebra(1,D); setring A; // this algebra is U(sl_2)
    // Variables in their natural order:
    variablesStandard();
    ==> _[1]=x
    ==> _[2]=y
    ==> _[3]=z

See also: variablesSorted.

User manual for Singular version 4.4.1, 2025, generated by texi2html.